<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      <em
        nz-icon
        class="sqtm-core-icon"
        nzType="exclamation-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#FAAD14'"
      ></em>
      <div>
        <span
          [attr.data-test-dialog-message]="true"
          [innerHTML]="configuration.messageKey[0] | translate"
        ></span>
        <ul>
          @for (sync of configuration.synchronisations; track sync) {
            <li>{{ sync.name }} - {{ sync.project.name }}</li>
          }
        </ul>
        <span
          [attr.data-test-dialog-message]="true"
          [innerHTML]="configuration.messageKey[1] | translate"
        ></span>
      </div>
    </div>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
